/* $Id: gimp_ace.h,v 1.4 2000/06/12 05:56:24 acapnotic Exp $ */

#ifndef __GIMP_ACE_H__
#define __GIMP_ACE_H__

#include <glib.h>

#ifndef GLACE_GIMP
#  define GLACE_GIMP
#endif

#include "glace.h"

typedef struct {
	gdouble strength;
	gdouble bradj;
	gdouble coefftol;
	gdouble smoothing;
	guint iterations;
	guint wsize;
	Glace_ColorMethods color_method;
	gboolean ui_link;
	gboolean ui_auto;
} AceValues;

void gimp_ace_init_2(Glace_ClientData* const clientData);

void     gimp_ace_go(Glace_ClientData* const clientData);

int GlaceGimp_Output (Glace_WData      wData,
		      Glace_CfgInfo*   cfgInfoPtr,
		      Glace_ImgArrays* imgArraysPtr);

#endif /* __GIMP_ACE_H__ */
